AstrologyAPI

Use access token to call astrology api.

Learn More

Personality Number

POSThttps://json.astrologyapi.com/v1/personality_number
Copy

This API provides a report on an individual's personality number based on their birth date. The report includes insights on the individual's level of confidence, sensitivity, and ways to improve their ability to project themselves confidently in public.

POST/personality_number
Copy
1curl --location 'https://json.astrologyapi.com/v1/personality_number' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "date": 10,
6    "month": 5,
7    "year": 1990,
8    "full_name": "John"
9}'
10
200Response
Copy
1{
2  "name": "Ajeet kanojia",
3  "birth_date": "2011-5-15",
4  "personality_number": 11,
5  "report": [
6    "With a Personality number 11, you don’t seem to be extremely confident of oneself. No wonder, being in the limelight makes you uncomfortable. You have grown up to be a nervous individual and little things can easily break your confidence. Only learning to deal with your anxiety could instill confidence in you. You are extremely sensitive at heart. You give more importance and attention to others and if you don’t take care of this trait, their views and opinions could easily hurt you. It is important that you work on your sensitive, gentler side especially when dealing with ruthless, rude people. You need to safeguard yourself and not let your vulnerability wreck you down emotionally. Only with practise and over a period of time, you will be able to project yourself confidently in the public domain."
7  ]
8}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enSpanish - esPortuguese - ptFrench - frItalian - itGerman - deRussian - ru

Request Body (JSON)

date

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

full_name

string

required

Name of the person, eg: John

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.